Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class ImmovablesGroupsParameters
    Inherits BaseObject

    Private _ImmovablesGroups As ImmovablesGroups
    Private _CustomersFrom As CustomersFrom
    'Private _ContractTemplateSold As ContractTemplate 'Értékesítési szerződés template
    'Private _ContractTemplateRent As ContractTemplate 'Bérleti szerződés template (majd ezek tartalmazzák a számla dolgokat is !)
    'Private _ContractTemplate_AdvanceMoney As ContractTemplate 'Értékesítési szerződés foglaló template
    Private _VAT As VAT
    Private _DocumentBody As String 'Dokumentum törzs az árajánlatnak
    Private _DocumentBodyPriceList As String 'Dokumentum törzs az árlistához
    Private _ReportData_Contract_Temp As ReportData 'Szerződési nyomtatvány az ügyvédnek
    Private _Controlling_AdvanceMoney As Controlling 'Az ajánlathoz készülő  előleg szerződési sorok CM-je
    Private _Controlling_Final As Controlling 'Ingatlan értékesítés kontollja
    Private _Controlling_Rent As Controlling 'Ingatlan bérlkés kontrollja
    Private _PaymentOption As PaymentOption 'Ingatlan bérlés alapértelmezett fizetési opciója
    Private _CostHolder As CostHolder 'Az ajánlathoz készülő szerződési sorok költségviselője
    Private _CostPlace As CostPlace 'Az ajánlathoz készülő szerződési sorok költséghelye

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    <RuleUniqueValue("ImmovablesGroupsParameters-RuleUniqueValue", DefaultContexts.Save)> _
    Property ImmovablesGroups As ImmovablesGroups
        Get
            Return _ImmovablesGroups
        End Get
        Set(value As ImmovablesGroups)
            SetPropertyValue("ImmovablesGroups", _ImmovablesGroups, value)
        End Set
    End Property
    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    'Property ContractTemplateSold As ContractTemplate
    '    Get
    '        Return _ContractTemplateSold
    '    End Get
    '    Set(value As ContractTemplate)
    '        SetPropertyValue("ContractTemplateSold", _ContractTemplateSold, value)
    '    End Set
    'End Property
    'Property ContractTemplateRent As ContractTemplate
    '    Get
    '        Return _ContractTemplateRent
    '    End Get
    '    Set(value As ContractTemplate)
    '        SetPropertyValue("ContractTemplateRent", _ContractTemplateRent, value)
    '    End Set
    'End Property
    'Property ContractTemplate_AdvanceMoney As ContractTemplate
    '    Get
    '        Return _ContractTemplate_AdvanceMoney
    '    End Get
    '    Set(value As ContractTemplate)
    '        SetPropertyValue("ContractTemplate_AdvanceMoney", _ContractTemplate_AdvanceMoney, value)
    '    End Set
    'End Property
    Property VAT As VAT
        Get
            Return _VAT
        End Get
        Set(value As VAT)
            SetPropertyValue("VAT", _VAT, value)
        End Set
    End Property
    <Size(-1)> _
    Property DocumentBody As String
        Get
            Return _DocumentBody
        End Get
        Set(value As String)
            SetPropertyValue("DocumentBody", _DocumentBody, value)
        End Set
    End Property
    <Size(-1)> _
    Property DocumentBodyPriceList As String
        Get
            Return _DocumentBodyPriceList
        End Get
        Set(value As String)
            SetPropertyValue("DocumentBodyPriceList", _DocumentBodyPriceList, value)
        End Set
    End Property
    Property ReportData_Contract_Temp As ReportData
        Get
            Return _ReportData_Contract_Temp
        End Get
        Set(value As ReportData)
            SetPropertyValue("ReportData_Contract_Temp", _ReportData_Contract_Temp, value)
        End Set
    End Property
    Property Controlling_AdvanceMoney As Controlling
        Get
            Return _Controlling_AdvanceMoney
        End Get
        Set(value As Controlling)
            SetPropertyValue("Controlling_AdvanceMoney", _Controlling_AdvanceMoney, value)
        End Set
    End Property
    Property Controlling_Final As Controlling
        Get
            Return _Controlling_Final
        End Get
        Set(value As Controlling)
            SetPropertyValue("Controlling_Final", _Controlling_Final, value)
        End Set
    End Property
    Property Controlling_Rent As Controlling
        Get
            Return _Controlling_Rent
        End Get
        Set(value As Controlling)
            SetPropertyValue("Controlling_Rent", _Controlling_Rent, value)
        End Set
    End Property
    Property PaymentOption As PaymentOption
        Get
            Return _PaymentOption
        End Get
        Set(value As PaymentOption)
            SetPropertyValue("PaymentOption", _PaymentOption, value)
        End Set
    End Property
    Property CostHolder As CostHolder
        Get
            Return _CostHolder
        End Get
        Set(value As CostHolder)
            SetPropertyValue("CostHolder", _CostHolder, value)
        End Set
    End Property
    Property CostPlace As CostPlace
        Get
            Return _CostPlace
        End Get
        Set(value As CostPlace)
            SetPropertyValue("CostPlace", _CostPlace, value)
        End Set
    End Property
End Class
